%define with_doc 1
%{?_with_doc: %{expand: %%global with_doc 1}}

Name:           fprintd
Version:        1.94.4
Release:        %mkrel 1
Summary:        D-Bus service for Fingerprint reader access
Group:          System/Kernel and hardware
License:        GPLv2+
Url:            https://www.freedesktop.org/wiki/Software/fprint/fprintd
Source0:        https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0) >= 2.26
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libfprint-2) >= 1.94.0
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.91
BuildRequires:  pam-devel
BuildRequires:  gettext-devel
BuildRequires:  pam_wrapper 
%if %{with_doc}
BuildRequires:  gtk-doc
%endif
BuildRequires:  intltool
BuildRequires:  python3-dbusmock
BuildRequires:  python3-cairo
BuildRequires:  python3-libpamtest

%description
D-Bus service to access fingerprint readers.

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_unitdir}/fprintd.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.*
%{_mandir}/man8/pam_fprintd.*

#--------------------------------------------------------------------

%package        pam
Summary:        PAM module for fingerprint authentication
Group:          System/Kernel and hardware
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}
# Note that we obsolete pam_fprint, but as the configuration
# is different, it will be mentioned in the release notes
Provides:       pam_fprint = %{version}-%{release}
Obsoletes:      pam_fprint < 0.2-5

%description    pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%files pam
%doc pam/README
%{_libdir}/security/pam_fprintd.so

#--------------------------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
License:        GFDLv1.1+
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%files devel
%if %{with_doc}
%{_datadir}/gtk-doc/html/fprintd
%endif
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}

%build
%meson -Dgtk_doc=true -Dpam=true
%meson_build

%install
%meson_install -C build

mkdir -p %{buildroot}%{_localstatedir}/lib/fprint

%find_lang %{name}


%changelog
* Sun Sep 15 2024 daviddavid <daviddavid> 1.94.4-1.mga10
+ Revision: 2096714
- new version: 1.94.4

* Fri Jun 07 2024 daviddavid <daviddavid> 1.94.3-1.mga10
+ Revision: 2070429
- new version: 1.94.3

* Thu Oct 06 2022 neoclust <neoclust> 1.94.2-1.mga9
+ Revision: 1895171
- New version 1.94.2

* Mon Apr 04 2022 umeabot <umeabot> 1.94.1-2.mga9
+ Revision: 1842909
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 mrambo3501 <mrambo3501> 1.94.1-1.mga9
+ Revision: 1768981
- version 1.94.1

* Tue Mar 02 2021 daviddavid <daviddavid> 1.90.9-1.mga9
+ Revision: 1695991
- new version: 1.90.9

* Thu Dec 24 2020 neoclust <neoclust> 1.90.8-1.mga8
+ Revision: 1663330
- New version 1.90.8

* Fri Aug 21 2020 joequant <joequant> 0.9.0-3.mga8
+ Revision: 1617489
- fix gcc10 build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1531497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1440372
- new version: 0.9.0

* Sun Dec 23 2018 wally <wally> 0.8.1-3.mga7
+ Revision: 1344688
- obsolete fprint_demo

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1297755
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1237115
- new version: 0.8.1

* Sat Jan 06 2018 daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1190642
- new version: 0.8.0

* Sun Jan 15 2017 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 1081880
- new version: 0.7.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 905957
- new version: 0.6.0
- remove merged upstream patch

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 748630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 679320
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 534395
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- use xz tarball

* Thu Sep 12 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 477800
- new version 0.5.1
+ juancho <juancho>
- Rediffed last dropped patch (fix error with pod2man build) to work with latest version.
- New version 0.5.0

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 350799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 328080
- add more req

* Sat Aug 27 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 135643
- fix file list
- drop merged patch
- rediff patch 4
- new release
- new URL

* Mon Feb 07 2011 mikala <mikala> 0.1-1.git04fd09cfa.5.mga1
+ Revision: 48753
- imported package fprintd


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-1.git04fd09cfa.5mdv2011.0
+ Revision: 605215
- rebuild

* Mon Dec 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1.git04fd09cfa.4mdv2010.1
+ Revision: 482962
- Fix obsoletes

* Sun Dec 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1.git04fd09cfa.3mdv2010.1
+ Revision: 482677
- Fix groups
- this is not a noarch package
- build doc
- Fix install of libs
  Add a switch for the doc ( off for now )
- Fix Buildrequires in polkitx
- import fprintd


